"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.spinner = void 0;

var _path = require("path");

var _child_process = require("child_process");

var spinnerProcess = (0, _child_process.fork)((0, _path.resolve)(__dirname, './spinner'));
var spinner = {
  start: function start() {
    return spinnerProcess.send({
      message: 'start'
    });
  },
  stop: function stop() {
    return spinnerProcess.send({
      message: 'stop'
    });
  },
  text: function text(_text) {
    return spinnerProcess.send({
      text: _text
    });
  },
  color: function color(_color) {
    return spinnerProcess.send({
      color: _color
    });
  }
};
exports.spinner = spinner;